Bug 131640 - [patch] Update devel/bison to 2.4.1
[patch] Update devel/bison to 2.4.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: portmgr
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-13 12:30 UTC by Johan van Selst
Modified: 2009-03-08 20:58 UTC (History)
0 users

See Also:


Attachments
file.diff (4.20 KB, patch)
2009-02-13 12:30 UTC, Johan van Selst
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Johan van Selst freebsd_committer 2009-02-13 12:30:01 UTC
	
	Bison version 2.4 contains quite some bug fixes and new
	features (see url below).
	Version 2.4.1 includes a few minor fixes for flaws in 2.4.

	http://lists.gnu.org/archive/html/bug-bison/2008-11/msg00000.html
	http://lists.gnu.org/archive/html/bug-bison/2008-12/msg00000.html
Comment 1 Edwin Groothuis freebsd_committer 2009-02-13 12:30:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ade

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Joe Marcus Clarke freebsd_committer 2009-02-14 21:27:01 UTC
Responsible Changed
From-To: ade->portmgr

Move this to portmgr for a pointyhat run.
Comment 3 dfilter freebsd_committer 2009-03-06 12:05:24 UTC
johans      2009-03-06 12:04:11 UTC

  FreeBSD ports repository

  Modified files:
    japanese/ming/files  patch-src_actioncompiler_swf5compiler.y 
    lang/ptoc/files      patch-parser.y 
    x11/xstroke/files    patch-rec_parse.y 
    devel/bison          Makefile distinfo pkg-plist 
  Added files:
    graphics/flasm/files patch-assembler.y 
    graphics/ming/files  patch-src_actioncompiler_swf5compiler.y 
    security/ike/files   patch-source_iked_conf.parse.yy 
  Log:
  - Update bison to 2.4.1, see announcements for important changes:
    http://lists.gnu.org/archive/html/bug-bison/2008-11/msg00000.html
    http://lists.gnu.org/archive/html/bug-bison/2008-12/msg00000.html
  - Take over bison maintainership - as approved by portmgr (marcus)
  - Add patches for ports to compile with new bison:
    Replace %{ .. %} with %code { .. } where required
    and accommodate stricter typing requirements
  Thanks to pav for an exp-run on pointyhat
  
  PR:             ports/131640
  Approved by:    portmgr (pav)
  
  Revision  Changes    Path
  1.59      +3 -3      ports/devel/bison/Makefile
  1.19      +3 -3      ports/devel/bison/distinfo
  1.22      +28 -8     ports/devel/bison/pkg-plist
  1.4       +257 -0    ports/graphics/flasm/files/patch-assembler.y (new)
  1.1       +23 -0     ports/graphics/ming/files/patch-src_actioncompiler_swf5compiler.y (new)
  1.2       +31 -95    ports/japanese/ming/files/patch-src_actioncompiler_swf5compiler.y
  1.3       +37 -15    ports/lang/ptoc/files/patch-parser.y
  1.1       +20 -0     ports/security/ike/files/patch-source_iked_conf.parse.yy (new)
  1.2       +12 -3     ports/x11/xstroke/files/patch-rec_parse.y
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 pav freebsd_committer 2009-03-08 20:58:48 UTC
State Changed
From-To: open->closed

johans did